Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.command
Class NameException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.birt.core.exception.BirtException
                  org.eclipse.birt.report.model.api.ModelException
                      org.eclipse.birt.report.model.api.activity.SemanticException
                          org.eclipse.birt.report.model.api.command.NameException

All Implemented Interfaces:
  java.io.Serializable

    public class NameException

extends SemanticException

Indicates an error when setting the name of an element.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DESIGN_EXCEPTION_DOT_FORBIDDEN` Deprecated. replaced by `DESIGN_EXCEPTION_INVALID_NAME`
`static java.lang.String` | `DESIGN_EXCEPTION_DUPLICATE` Error code indicating the new name duplicates an existing name in the same name space.
`static java.lang.String` | `DESIGN_EXCEPTION_HAS_REFERENCES` Error code indicating the element has references, so it cannot be anonymous.
`static java.lang.String` | `DESIGN_EXCEPTION_INVALID_NAME`
`static java.lang.String` | `DESIGN_EXCEPTION_INVALID_STYLE_NAME` The style name is invalid for CSS2 specification.
`static java.lang.String` | `DESIGN_EXCEPTION_NAME_FORBIDDEN` Error code indicating the element is not allowed to have name.
`static java.lang.String` | `DESIGN_EXCEPTION_NAME_REQUIRED` Error code indicating the element miss its name, while the name is required.
`protected java.lang.String` | `name` The new element name.

Fields inherited from class org.eclipse.birt.report.model.api.activity.SemanticException
`DESIGN_EXCEPTION__EXPORT_ELEMENT_FAIL, element`

Fields inherited from class org.eclipse.birt.report.model.api.ModelException
`PLUGIN_ID`

Fields inherited from class org.eclipse.birt.core.exception.BirtException
`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey, WARNING`

Constructor Summary
`NameException(org.eclipse.birt.report.model.core.DesignElement obj, java.lang.String str, java.lang.String errCode)` Constructor.

Method Summary
`java.lang.String` | `getLocalizedMessage()`
`java.lang.String` | `getName()` Returns the name that caused the error.

Methods inherited from class org.eclipse.birt.report.model.api.activity.SemanticException
`getElement, getElementName, getMessage`

Methods inherited from class org.eclipse.birt.core.exception.BirtException
`getErrorCode, getLocalizedMessage, getPluginId, getSeverity, setSeverity`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  The new element name.

### DESIGN_EXCEPTION_NAME_REQUIRED

    public static final java.lang.String DESIGN_EXCEPTION_NAME_REQUIRED

  Error code indicating the element miss its name, while the name is required.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_NAME_FORBIDDEN

    public static final java.lang.String DESIGN_EXCEPTION_NAME_FORBIDDEN

  Error code indicating the element is not allowed to have name.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_DUPLICATE

    public static final java.lang.String DESIGN_EXCEPTION_DUPLICATE

  Error code indicating the new name duplicates an existing name in the same name space.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_HAS_REFERENCES

    public static final java.lang.String DESIGN_EXCEPTION_HAS_REFERENCES

  Error code indicating the element has references, so it cannot be anonymous.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_DOT_FORBIDDEN

    public static final java.lang.String DESIGN_EXCEPTION_DOT_FORBIDDEN

  Deprecated. replaced by `DESIGN_EXCEPTION_INVALID_NAME`
  The character "." is forbidden to NamePropertyType.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_INVALID_NAME

    public static final java.lang.String DESIGN_EXCEPTION_INVALID_NAME

See Also:
  Constant Field Values

### DESIGN_EXCEPTION_INVALID_STYLE_NAME

    public static final java.lang.String DESIGN_EXCEPTION_INVALID_STYLE_NAME

  The style name is invalid for CSS2 specification.

  See Also:
    Constant Field Values

Constructor Detail

### NameException

    public NameException(org.eclipse.birt.report.model.core.DesignElement obj,
                         java.lang.String str,
                         java.lang.String errCode)

  Constructor.

  Parameters:
    `obj` - the element being changed.
    `str` - the name that caused the error.
    `errCode` - what went wrong.

Method Detail

### getName

    public java.lang.String getName()

  Returns the name that caused the error.

  Returns:
    the name.

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `SemanticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.